<?php

namespace Drupal\valentine\Entity;

use Drupal\Core\Entity\ContentEntityStorageInterface;

/**
 * Defines an interface for valentine entity storage classes.
 */
interface ValentineStorageInterface extends ContentEntityStorageInterface {

  /**
   * Gets an entity query instance limited by the current year.
   *
   * @param bool $access_check
   *   (optional) Whether access check is requested or not. Defaults to TRUE.
   *
   * @return \Drupal\Core\Entity\Query\QueryInterface
   *   The query instance.
   */
  public function getInboxQuery($access_check = TRUE);

  /**
   * Gets the number of messages.
   *
   * @param bool $close
   *   (optional) TRUE, if read messages should be excluded. Defaults to FALSE.
   *
   * @return int
   *   The number of letters.
   */
  public function getInboxSize($close = FALSE);

}
